## gap-guava 3.12+ds1

=== src/Makefile ===
# This is the Makefile for Guava binaries

# Set this to the location for Guava binaries
#BINDIR = /usr/lib/gap4r5/pkg/guava3.11/bin

#CC = gcc
#CFLAGS = -O2
FILES = leonconv
SUBDIRS = leon ctjhai

.PHONY: all $(SUBDIRS)

all :	$(FILES)
	cd leon make

leonconv: leonconv.c
	$(CC) $(CFLAGS) -o leonconv leonconv.c

$(SUBDIRS):
	$(MAKE) --directory=$@

install :
	mkdir -p $(BINDIR)
	cp $(FILES) $(BINDIR)

clean :
	rm -f $(FILES)
	rm -f *.o

distclean: clean

=== debian/changelog ===
gap-guava (3.12+ds1-2) unstable; urgency=medium

  * Debianization:
    - debian/control, Standards Version 3.9.6 bump (no change);
    - debian/{rules,patches/debianization.patch},
      multiarch support correction.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 24 Sep 2014 02:17:15 +0000

gap-guava (3.12+ds1-1) unstable; urgency=medium

  * New upstream version (Closes: #493694).
  * New maintainer (Closes: #760345).
  * Debianization:
    - debian/copyright in DEP-5 format, bump;
    - debian/control:
      - debhelper build-dep to >= 9, bump;
      - Standards Version 3.9.5, bump;
      - Vcs-* headers, refresh.
    - debian/source, format 3.0 (quilt), bump;
    - debian/watch file;
    - debian/repack, repack script to clean up and gain size;
    - debian/rules:
      - full and minal dh integration;
      - get-orig-source uscan based target which downloads the currently
        packaged upstream tarball and repacks it;
      - default target which basically queries package status with uscan
        -- output in DEHS format;
    - gpg-signature check support, neutralize;
    - rename source package gap-guava for consistency;
    - split into architecture independent and dependent packages:
      - gap-guava contains architecture independent material,
        this is the historical package;
      - gap-guava-bin architecture dependent material, not (yet)
        an multi-arch package as gap is not (yet) multi-arch;
  * Minor, cosmetic fixes submitted to the upstream maintainers.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 13 Sep 2014 09:54:34 +0000

guava (3.6-2) unstable; urgency=low

  * Fix bug in HadamardMat on power of 2 inputs.

 -- Tim Abbott <tabbott@mit.edu>  Fri, 25 Jul 2008 19:55:27 -0400

guava (3.6-1) unstable; urgency=low

  * Initial release (Closes: #480099).

 -- Tim Abbott <tabbott@mit.edu>  Fri, 20 Jun 2008 21:21:29 -0400

=== debian/control ===
Source: gap-guava
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 9), autoconf, automake,
 gap (>=4r7p5), gap-dev (>=4r7p5), gap-gapdoc,
 texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
Standards-Version: 3.9.6
Homepage: http://www.gap-system.org/Packages/guava.html
Vcs-Git: git://anonscm.debian.org/debian-science/packages/gap-guava.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gap-guava.git

Package: gap-guava
Provides: gap-pkg-guava
Architecture: all
Depends: ${misc:Depends}, gap-guava-bin, gap (>=4r7p5)
Description: coding theory library for GAP
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.

Package: gap-guava-bin
Provides: gap-pkg-guava-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, gap (>=4r7p5)
Description: coding theory library for GAP (arch-dep files)
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.
 .
 This Debian package contains the architecture-dependent files for the
 gap-guava Debian package.

=== debian/rules ===
#!/usr/bin/make -f

CGAP=/usr/bin/gap

DEB_BUILD_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
DEB_BUILD_GAP_INFO_ARCH ?= $(shell echo 'Print(GAPInfo.Architecture);' | $(CGAP) -A -q -T)

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@

override_dh_auto_configure:
	./configure /usr/lib/gap

override_dh_link:
	dh_link -p gap-guava \
		/usr/lib/gap/pkg/guava/bin /usr/share/gap/pkg/guava/bin \
		/usr/share/gap/pkg/guava/doc /usr/share/doc/gap-guava/doc
	dh_link -p gap-guava-bin \
		/usr/lib/$(DEB_BUILD_MULTIARCH)/gap/pkg/guava/bin /usr/lib/gap/pkg/guava/bin/$(DEB_BUILD_GAP_INFO_ARCH)

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGES.guava

get-orig-source:
	uscan --no-conf --download-current-version --verbose

=== debian/watch ===
version=3
opts=dversionmangle=s/\+ds[\d]?// \
ftp://ftp.gap-system.org/pub/gap/gap4/tar.bz2/packages/guava-?([\d\.]+)\.tar\.bz2 \
debian bash debian/repack

## gap-guava 3.13%2Bds

=== src/Makefile ===
--- 
+++ 
@@ -14,7 +14,7 @@
 	cd leon make
 
 leonconv: leonconv.c
-	$(CC) $(CFLAGS) -o leonconv leonconv.c
+	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o leonconv leonconv.c
 
 $(SUBDIRS):
 	$(MAKE) --directory=$@

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Build-Depends:
  debhelper (>= 9), autoconf, automake,
- gap (>=4r7p5), gap-dev (>=4r7p5), gap-gapdoc,
+ gap (>=4r8p3), gap-dev (>=4r8p3), gap-gapdoc (>=1.5.1-2),
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.gap-system.org/Packages/guava.html
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/gap-guava.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/gap-guava.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/gap-guava.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/gap-guava.git
 
 Package: gap-guava
 Provides: gap-pkg-guava
 Architecture: all
-Depends: ${misc:Depends}, gap-guava-bin, gap (>=4r7p5)
+Depends: gap-guava-bin (>=${source:Version}), gap (>=4r8p3), ${misc:Depends}
 Description: coding theory library for GAP
  GAP is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved
@@ -26,7 +26,7 @@
 Package: gap-guava-bin
 Provides: gap-pkg-guava-bin
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, gap (>=4r7p5)
+Depends: ${shlibs:Depends}, gap (>=4r8p3), ${misc:Depends}
 Description: coding theory library for GAP (arch-dep files)
  GAP is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved

=== debian/watch ===
version=3
opts=repack,dversionmangle=s/\+ds[\d]?//,repacksuffix=+ds \
ftp://ftp.gap-system.org/pub/gap/gap4/tar.bz2/packages/guava-?([\d\.]+)\.tar\.bz2

## gap-guava 3.13+ds

=== debian/changelog ===
gap-guava (3.13+ds-2) unstable; urgency=medium

  * FTBFS fix release (Closes: #849661), discard inert but now causing failure
    (and certainly forgotten) command in the target `all' in src/Makefile.
  * Debianization:
    - debian/control:
      - Standards Version, bump to 3.9.8;
    - debian/patches/*:
      - d/p/upstream-fix-src-make_machinery-disambiguation-bug_849661.patch,
        introduce;
      - Origin fields, correct;
    - debian/tests/*:
      - d/t/makecheck.tst, typo.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 31 Dec 2016 01:50:14 +0000

gap-guava (3.13+ds-1) unstable; urgency=medium

  * New upstream release:
    - the Debian patches have been integrated, thanks to the upstream
      maintainer Joe Fields <fieldsj1@southernct.edu>.
  * Debianization:
    - debian/control:
      - Depends field, bump to GAP 4r8;
      - Standards Version, bump to 3.9.7;
      - Vcs-* fields, secure;
    - debian/copyright:
      - repack by using the Files-Excluded machinery instead of the ad-hoc
        script debian/repack;
      - refresh;
    - debian/repack, discard (see above);
    - debian/watch:
      - revisit (see above);
    - debian/rules:
      - dpkg-buildflags, add hardening=+all;
    - debian/tests/control, initiate (CI);
    - debian/gap-guava.install, update;
    - debian/patches/upstream-doc-bibdata-sanitization.patch, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 21 Apr 2016 13:52:12 +0000

gap-guava (3.12+ds1-3) unstable; urgency=medium

  * Debianization:
    - debian/copyright, refresh;
    - debian/control, correct Vcs-Browser field;
    - debian/rules, refresh;
    - debian/clean, harden;
    - debian/patches/upstream-doc-reproducible.patch, introduce;
    - debian/patches/upstream-configure_machinery-refreshment.patch, harden;
    - debian/patches/upstream-fix-warnings.patch, refine.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 28 Dec 2015 21:01:20 +0000

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 CGAP=/usr/bin/gap
 
@@ -17,12 +19,16 @@
 override_dh_link:
 	dh_link -p gap-guava \
 		/usr/lib/gap/pkg/guava/bin /usr/share/gap/pkg/guava/bin \
-		/usr/share/gap/pkg/guava/doc /usr/share/doc/gap-guava/doc
+		/usr/share/gap/pkg/guava/doc /usr/share/doc/gap-guava/doc \
+		/usr/share/javascript/mathjax /usr/share/gap/pkg/guava/doc/mathjax
 	dh_link -p gap-guava-bin \
 		/usr/lib/$(DEB_BUILD_MULTIARCH)/gap/pkg/guava/bin /usr/lib/gap/pkg/guava/bin/$(DEB_BUILD_GAP_INFO_ARCH)
 
 override_dh_installchangelogs:
 	dh_installchangelogs --keep CHANGES.guava
 
+override_dh_compress:
+	dh_compress -X.pdf
+
 get-orig-source:
-	uscan --no-conf --download-current-version --verbose
+	uscan --no-conf --download-current-version --compression xz --verbose

=== debian/tests/control ===
Test-command: echo "QUIT_GAP(Test(\"debian/tests/makecheck.tst\",rec(rewriteToFile:=\"*stdout*\")));" | gap -A -q -T

## gap-guava 3.14+ds

=== src/Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 .PHONY: all $(SUBDIRS)
 
 all :	$(FILES)
-	cd leon make
+	cd leon; $(MAKE)
 
 leonconv: leonconv.c
 	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o leonconv leonconv.c

=== debian/changelog ===
gap-guava (3.14+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/copyright:
      - copyright fields, update;
      - Format field, secure;
      - Files-Excluded field, refresh;
      - X-Source{,-Downloaded-From} fields, introduce;
      - X-Upstream-Bugs field, introduce;
    - debian/control:
      - Standards Version, bump to 4.2.1 (no change);
      - Depends fields, gap, bump to 4r9p3;
      - debhelper, bump to 11;
      - Homepage field, secure;
      - Vcs-* fields, migration to salsa;
    - debian/watch:
      - version, bump to 4;
      - URL, migration to GitHub;
    - debian/clean, refresh;
    - debian/rules:
      - pkg-info.mk include, add;
      - get-orig-source target, remove;
    - debian/patches/*:
      - d/p/upstream-*.patch, no more needed;
      - d/p/debianization.patch, refresh;
    - debian/makedoc.g, revisit;
    - debian/source/*:
      - d/s/lintian-overrides, update;
      - d/s/options, remove;
    - debian/tests/*:
      - d/t/control, harden;
      - d/t/makecheck.tst, refresh;
    - debian/compat, bump to 11.

 -- Jerome Benoit <calculus@rezozer.net>  Mon, 05 Nov 2018 14:12:40 +0000

=== debian/control ===
Source: gap-guava
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends:
 debhelper (>= 11),
 gap (>=4r9p3), gap-dev (>=4r9p3), gap-gapdoc (>=1.6.1-3),
 texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
Standards-Version: 4.2.1
Homepage: https://www.gap-system.org/Packages/guava.html
Vcs-Git: https://salsa.debian.org/science-team/gap-guava.git
Vcs-Browser: https://salsa.debian.org/science-team/gap-guava

Package: gap-guava
Provides: gap-pkg-guava
Architecture: all
Depends: gap-guava-bin (>=${source:Version}), gap (>=4r9p3), ${misc:Depends}
Description: coding theory library for GAP
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.

Package: gap-guava-bin
Provides: gap-pkg-guava-bin
Architecture: any
Depends: ${shlibs:Depends}, gap (>=4r9p3), ${misc:Depends}
Description: coding theory library for GAP (arch-dep files)
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.
 .
 This Debian package contains the architecture-dependent files for the
 gap-guava Debian package.

=== debian/tests/control ===
Test-command: echo "QUIT_GAP(TestDirectory(\"debian/tests\"));" | gap -A -q -T

##Test-command: echo "LoadPackage(\"guava\");QUIT_GAP(TestDirectory(DirectoriesPackageLibrary(\"guava\",\"tst\")));" | gap -A -q -T

## gap-guava 3.15+ds

=== debian/changelog ===
gap-guava (3.15+ds-3) unstable; urgency=medium

  * SBF: correct Maintainer address (Closes: #970755).
  * Debianization:
    - d/control:
      - Maintainer address, correct;
      - debhelper, bump to 13;
    - d/patches/debianization.patch:
      - Forwarded field, specify as 'not-needed';
    - d/upstream/metadata, introduce.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 08 Nov 2020 20:06:18 +0000

gap-guava (3.15+ds-2) unstable; urgency=medium

  * Debianization:
    - debian/copyright:
      - copyright year tuple, update;
    - debian/control:
      - Maintainer address, update;
      - Rules-Requires-Root, introduce and set to no;
      - Depends field:
        - gap, bump to 4.11.0 ;
      - Standards Version, bump to 4.5.0 (no change);
    - debian/tests:
      - d/t/makecheck.tst, harden (Closes: #959378);
    - debian/{rules,gap-guava-bin.install,patches/debianization.patch}, put
      internal binary executable inside the /usr/libexec hierarchy
      (executable-in-usr-lib fix).

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 02 May 2020 17:01:53 +0000

gap-guava (3.15+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - debian/patches/*:
      - d/p/debianization.patch, refresh;
    - debian/tests/*:
      - d/p/makecheck.tst, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 14 Sep 2019 10:54:43 +0000

gap-guava (3.14+ds-2) unstable; urgency=medium

  * Autotest fix (Closes: #932356).
  * Debianization:
    - debian/copyright:
      - year tupes, update;
    - debian/control:
      - debhelper, bump to 12;
      - Depends field, gap, bump to 4r10p2-1~ ;
      - Standards Version, bump to 4.4.0 (no change);
    - debian/compat, discard.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Jul 2019 11:59:28 +0000

=== debian/control ===
Source: gap-guava
Section: math
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 gap (>=4.11.0), gap-dev (>=4.11.0), gap-gapdoc,
 texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
Standards-Version: 4.5.0
Homepage: https://www.gap-system.org/Packages/guava.html
Vcs-Git: https://salsa.debian.org/science-team/gap-guava.git
Vcs-Browser: https://salsa.debian.org/science-team/gap-guava

Package: gap-guava
Provides: gap-pkg-guava
Architecture: all
Depends: gap-guava-bin (>=${source:Version}), gap (>=4.11.0), ${misc:Depends}
Description: coding theory library for GAP
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.

Package: gap-guava-bin
Provides: gap-pkg-guava-bin
Architecture: any
Depends: ${shlibs:Depends}, gap (>=4.11.0), ${misc:Depends}
Description: coding theory library for GAP (arch-dep files)
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.
 .
 This Debian package contains the architecture-dependent files for the
 gap-guava Debian package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CGAP=/usr/bin/gap

DEB_BUILD_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_BUILD_MULTIARCH)
DEB_BUILD_GAP_INFO_ARCH ?= $(shell echo 'Print(GAPInfo.Architecture);' | $(CGAP) -A -q -T)


default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@

override_dh_auto_configure:
	./configure /usr/lib/gap

override_dh_link:
	dh_link -p gap-guava \
		/usr/lib/gap/pkg/guava/bin /usr/share/gap/pkg/guava/bin \
		/usr/share/gap/pkg/guava/doc /usr/share/doc/gap-guava/doc \
		/usr/share/javascript/mathjax /usr/share/gap/pkg/guava/doc/mathjax
	dh_link -p gap-guava-bin \
		/usr/libexec/$(DEB_BUILD_MULTIARCH)/gap/pkg/guava/bin /usr/lib/gap/pkg/guava/bin/$(DEB_BUILD_GAP_INFO_ARCH)

override_dh_installchangelogs:
	dh_installchangelogs --keep CHANGES.guava

override_dh_compress:
	dh_compress -X.pdf

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds \
https://github.com/gap-packages/guava/releases .*/guava-(\d\S*)\.tar\.gz

## gap-guava 3.16+ds

=== debian/changelog ===
gap-guava (3.16+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/copyright:
      - copyright year tuples, refresh;
      - Files-Excluded list, update;
    - d/control:
      - Standards Version, bump to 4.6.0 (no change);
    - d/patches/*:
      - d/p/upstream-fix-national_encoding.patch, introduce;
    - d/tests/*:
      - d/t/makecheck.tst, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 15 May 2022 12:41:41 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  gap (>=4.11.0), gap-dev (>=4.11.0), gap-gapdoc,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://www.gap-system.org/Packages/guava.html
 Vcs-Git: https://salsa.debian.org/science-team/gap-guava.git
 Vcs-Browser: https://salsa.debian.org/science-team/gap-guava

## gap-guava 3.17+ds

=== debian/changelog ===
gap-guava (3.17+ds-3) unstable; urgency=medium

  * Debianization:
    - debian/control:
      - Depends fields:
        - gap, bump to 4.12.0.

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 02 Nov 2022 09:43:56 +0000

gap-guava (3.17+ds-2) unstable; urgency=medium

  * Debianization:
    - d/watch, now use GitHub API to avoid breaking change from GitHub web UI
      (see https://lists.debian.org/debian-devel/2022/09/msg00229.html);
    - d/copyright:
      - Format URI, correct.

 -- Jerome Benoit <calculus@rezozer.net>  Tue, 01 Nov 2022 13:42:45 +0000

gap-guava (3.17+ds-1) unstable; urgency=medium

  * New upstream minor release.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
    - d/control:
      - Standards Version, bump to 4.6.1 (no change);
    - d/patches/*:
      - d/p/upstream-fix-national_encoding.patch, integrated;
    - d/t/makecheck.tst, update;
    - d/gap-guava.docs, refresh;
    - d/rules:
      - dh_installchangelogs override, refresh;
    - d/s/lintian-overrides, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sat, 10 Sep 2022 12:35:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- gap (>=4.11.0), gap-dev (>=4.11.0), gap-gapdoc,
+ gap (>=4.12.0), gap-dev (>=4.12.0), gap-gapdoc,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://www.gap-system.org/Packages/guava.html
 Vcs-Git: https://salsa.debian.org/science-team/gap-guava.git
 Vcs-Browser: https://salsa.debian.org/science-team/gap-guava
@@ -16,7 +16,7 @@
 Package: gap-guava
 Provides: gap-pkg-guava
 Architecture: all
-Depends: gap-guava-bin (>=${source:Version}), gap (>=4.11.0), ${misc:Depends}
+Depends: gap-guava-bin (>=${source:Version}), gap (>=4.12.0), ${misc:Depends}
 Description: coding theory library for GAP
  GAP is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved
@@ -27,7 +27,7 @@
 Package: gap-guava-bin
 Provides: gap-pkg-guava-bin
 Architecture: any
-Depends: ${shlibs:Depends}, gap (>=4.11.0), ${misc:Depends}
+Depends: ${shlibs:Depends}, gap (>=4.12.0), ${misc:Depends}
 Description: coding theory library for GAP (arch-dep files)
  GAP is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved

## gap-guava 3.18+ds

=== debian/changelog ===
gap-guava (3.18+ds-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix field name case in debian/tests/control (Test-command => Test-Command).

  [ Jerome Benoit ]
  * New upstream minor version.
  * Debianization:
    - d/patches/*:
      - d/p/debianization.patch, refresh;
    - d/control:
      - Standards Version, bump to 4.6.2 (no change);
    - d/copyright:
      - copyright year tuples, update;
    - d/tests:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 10 Sep 2023 12:48:00 +0000

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  debhelper-compat (= 13),
  gap (>=4.12.0), gap-dev (>=4.12.0), gap-gapdoc,
  texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://www.gap-system.org/Packages/guava.html
 Vcs-Git: https://salsa.debian.org/science-team/gap-guava.git
 Vcs-Browser: https://salsa.debian.org/science-team/gap-guava

## gap-guava 3.19+ds

=== debian/changelog ===
gap-guava (3.19+ds-2ubuntu1) oracular; urgency=medium

  * d/p/0001-desauto-initialize-the-comment-array-to-a-sensible-v.patch:
    Fix test suite against glibc 2.40 (LP: #2077414)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 21 Aug 2024 13:09:17 +0200

gap-guava (3.19+ds-2) unstable; urgency=medium

  * Debianization:
    - migration to gap 4.13.0:
      - d/control: refresh;
      - d/tests:
        - d/t/makecheck.tst, refresh;
    - d/control:
      - Standards Version, bump to 4.7.0 (no change).

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 19 Apr 2024 15:06:13 +0000

gap-guava (3.19+ds-1) unstable; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/copyright:
      - Files-Excluded list, refresh;
      - copyright year-tuples, update;
    - d/tests/*:
      - d/t/makecheck.tst, update package version.

 -- Jerome Benoit <calculus@rezozer.net>  Thu, 28 Mar 2024 12:28:15 +0000

=== debian/control ===
Source: gap-guava
Section: math
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 gap (>=4.13.0), gap-dev (>=4.13.0), gap-gapdoc,
 texlive-latex-recommended, texlive-fonts-recommended, texlive-latex-extra
Standards-Version: 4.7.0
Homepage: https://www.gap-system.org/Packages/guava.html
Vcs-Git: https://salsa.debian.org/science-team/gap-guava.git
Vcs-Browser: https://salsa.debian.org/science-team/gap-guava

Package: gap-guava
Provides: gap-pkg-guava
Architecture: all
Depends: gap-guava-bin (>=${source:Version}), gap (>=4.13.0), ${misc:Depends}
Description: coding theory library for GAP
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.

Package: gap-guava-bin
Provides: gap-pkg-guava-bin
Architecture: any
Depends: ${shlibs:Depends}, gap (>=4.13.0), ${misc:Depends}
Description: coding theory library for GAP (arch-dep files)
 GAP is a system for computational discrete algebra with particular
 emphasis on computational group theory, but which has already proved
 useful also in other areas.
 .
 This GAP package brings to GAP computing with error-correcting codes.
 .
 This Debian package contains the architecture-dependent files for the
 gap-guava Debian package.

## gap-guava 3.20+ds

=== src/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 FILES = leonconv
 SUBDIRS = leon ctjhai
 
-.PHONY: all $(SUBDIRS)
+.PHONY: all install clean distclean $(SUBDIRS)
 
 all :	$(FILES)
 	cd leon; $(MAKE)

=== debian/changelog ===
gap-guava (3.20+ds-1) unstable; urgency=medium

  * Upload to unstable.
  * Debianization:
    - d/t/makecheck.tst, adpat.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 14 Sep 2025 17:16:15 +0000

gap-guava (3.20+ds-1~exp1) experimental; urgency=medium

  * New upstream minor version.
  * Debianization:
    - d/patches/*:
      - d/p/upstream-fix-desauto-wild_char_array.patch, integrated;
    - d/tests/*:
      - d/t/makecheck.tst, refresh.

 -- Jerome Benoit <calculus@rezozer.net>  Sun, 02 Mar 2025 20:33:44 +0000

gap-guava (3.19+ds-3) unstable; urgency=medium

  * SBF: initialize a wild char array that derails tests (Closes: #1079204),
    thanks to Simon Chopin <schopin@ubuntu.com>.

 -- Jerome Benoit <calculus@rezozer.net>  Fri, 04 Oct 2024 16:49:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gap-guava
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Jerome Benoit <calculus@rezozer.net>
 Rules-Requires-Root: no
 Build-Depends:
@@ -17,7 +16,7 @@
 Package: gap-guava
 Provides: gap-pkg-guava
 Architecture: all
-Depends: gap-guava-bin (>=${source:Version}), gap (>=4.13.0), ${misc:Depends}
+Depends: gap-guava-bin (>=${source:Version}), gap (>=4.13.0), gap-smallgrp, ${misc:Depends}
 Description: coding theory library for GAP
  GAP is a system for computational discrete algebra with particular
  emphasis on computational group theory, but which has already proved

=== debian/rules ===
--- 
+++ 
@@ -27,7 +27,7 @@
 		/usr/libexec/$(DEB_BUILD_MULTIARCH)/gap/pkg/guava/bin /usr/lib/gap/pkg/guava/bin/$(DEB_BUILD_GAP_INFO_ARCH)
 
 override_dh_installchangelogs:
-	dh_installchangelogs --keep CHANGES.guava
+	dh_installchangelogs --keep CHANGES
 
 override_dh_compress:
 	dh_compress -X.pdf

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/\+ds//,repacksuffix=+ds,searchmode=plain \
https://api.github.com/repos/gap-packages/guava/releases \
https://github.com/gap-packages/guava/releases/download/v\d[\.\d]*/guava-(\d[\d.-]+)\.tar\.gz
